      function nest(a,tdmx,f)
      parameter(pi=3.1415926535897932)
      parameter(halfpi=1.5707963267948966)

* a = latitude
* f = (n-1)/2 if the entire globe is covered (col=halfpi)
* else f = (ntr-1)/(1-cos(col)) = (ntr-1)/(1-sin(halfpi-col))
      x = a + tdmx
      if (x.gt.halfpi) then
         nest = 1
      else if (x.lt.-halfpi) then
	 nest = 1 + nint(2.*f)
      else
	 nest = 1 + nint(f*(1.-sin(x)))
      endif
      return
      end

