      subroutine rotate(mode,tetain,fiin,tetaout,fiout)
* mode 0, rotate from conventional to new
* mode 1, rotate from new to conventional
      common/npole/ola,olo,oazi
*      ,nsq,nxy,nz,ny,nx,zmin,zmax,
*     &		  ymin,ymax,xmin,xmax,dz,dy,dx

      if (mode.eq.0) then
         ang1 = olo
         ang2 = oazi
      else if (mode.eq.1) then
         ang2 = olo
         ang1 = oazi
      else
        tetaout = tetain
        fiout = fiin
        mode = -1
        return
      endif

      ct = cos(tetain)
      st = sin(tetain)
      cf = cos(fiin)
      sf = sin(fiin)
      ca = cos(ola)
      sa = sin(ola)
      co = cos(ang1)
      so = sin(ang1)
      som = ct*ca*(cf*co + sf*so) + st*sa
      if (som.gt.1.) then
         write(6,*) "WARNING, rotate: som > 1 for ", tetain,fiin
         som= 1.
      endif
      tetaout = asin(som) 
      fdiff = fiin - ang1
      sfo = sin(fdiff)
      cfo = cos(fdiff)
      teller = ct*sfo
      rnoemer = st*ca - ct*sa*cfo
      azimuth = atan2(teller,rnoemer)
      fiout = ang2 - azimuth

      return
      end
